#
# spec file for package gap-unitlib
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-unitlib
Version:        3.3.0
Release:        lp152.3.2
Summary:        GAP: Library of normalized unit groups of modular group algebras
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Url:            http://www.cs.st-andrews.ac.uk/~alexk/unitlib.htm

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/unitlib-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.8
Requires:       gap-gapdoc >= 1.5.1
Requires:       gap-io >= 3.0
Requires:       gap-laguna >= 3.6
Requires:       gzip
Suggests:       gap-scscp >= 2.0

%description
The UnitLib package extends the LAGUNA package and provides the
library of normalized unit groups of modular group algebras of all
finite p-groups of order not greater than 243 over the field of p
elements.

%prep
%setup -qn unitlib-%version

%build

%install
%gappkg_simple_install
%fdupes %buildroot/%_prefix

%files -f %name.files
%defattr(-,root,root)

%changelog
* Mon Dec 25 2017 jengelh@inai.de
- Update to new upstream release 3.3.0
  * No changelog available
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 3.2.0
  * No upstream changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split unitlib (version 3.1.3) off the gap RPM package
